    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.io.DataOutputStream

    java.lang.Object
       |
       +----java.io.OutputStream
               |
               +----java.io.FilterOutputStream
                       |
                       +----java.io.DataOutputStream

public class DataOutputStream
extends FilterOutputStream
implements DataOutput

A data input stream lets an application write primitive Java data types to an output stream in a portable way. An application can then use a data input stream to read the data back in.

See Also:
  DataInputStream

##

written
  The number of bytes written to the data output stream.

##

DataOutputStream(OutputStream)
  Creates a new data output stream to write data to the specified underlying output stream.

##

flush()
  Flushes this data output stream.
size()
  Returns the number of bytes written to this data output stream.
write(byte[], int, int)
  Writes `len` bytes from the specified byte array starting at offset `off` to the underlying output stream.
write(int)
  Writes the specified byte to the underlying output stream.
writeBoolean(boolean)
  Writes a `boolean` to the underlying output stream as a 1-byte value.
writeByte(int)
  Writes out a `byte` to the underlying output stream as a 1-byte value.
writeBytes(String)
  Writes out the string to the underlying output stream as a sequence of bytes.
writeChar(int)
  Writes a `char` to the underlying output stream as a 2-byte value, high byte first.
writeChars(String)
  Writes a string to the underlying output stream as a sequence of characters.
writeDouble(double)
  Converts the double argument to a `long` using the `doubleToLongBits` method in class `Double`, and then writes that `long` value to the underlying output stream as an 8-byte quantity, high byte first.
writeFloat(float)
  Converts the float argument to an `int` using the `floatToIntBits` method in class `Float`, and then writes that `int` value to the underlying output stream as a 4-byte quantity, high byte first.
writeInt(int)
  Writes an `int` to the underlying output stream as four bytes, high byte first.
writeLong(long)
  Writes a `long` to the underlying output stream as eight bytes, high byte first.
writeShort(int)
  Writes a `short` to the underlying output stream as two bytes, high byte first.
writeUTF(String)
  Writes a string to the underlying output stream using UTF-8 encoding in a machine-independent manner.

##

written

     protected int written

  The number of bytes written to the data output stream.

##

DataOutputStream

     public DataOutputStream(OutputStream out)

  Creates a new data output stream to write data to the specified underlying output stream.

  Parameters:
    out - the underlying output stream.
  See Also:
    out

##

write

     public synchronized void write(int b) throws IOException

  Writes the specified byte to the underlying output stream.

  Parameters:
    b - the `byte` to be written.
  Throws: IOException
    if an I/O error occurs.
  Overrides:
    write in class FilterOutputStream
  See Also:
    out

write

     public synchronized void write(byte b[],
                                    int off,
                                    int len) throws IOException

  Writes `len` bytes from the specified byte array starting at offset `off` to the underlying output stream.

  Parameters:
    b - the data.
    off - the start offset in the data.
    len - the number of bytes to write.
  Throws: IOException
    if an I/O error occurs.
  Overrides:
    write in class FilterOutputStream
  See Also:
    out

flush

     public void flush() throws IOException

  Flushes this data output stream. This forces any buffered output bytes to be written out to the stream.

  The `flush` method of `DataOuputStream` calls the `flush` method of its underlying output stream.

  Throws: IOException
    if an I/O error occurs.
  Overrides:
    flush in class FilterOutputStream
  See Also:
    out, flush

writeBoolean

     public final void writeBoolean(boolean v) throws IOException

  Writes a `boolean` to the underlying output stream as a 1-byte value. The value `true` is written out as the value `(byte)1`; the value `false` is written out as the value `(byte)0`.

  Parameters:
    v - a `boolean` value to be written.
  Throws: IOException
    if an I/O error occurs.
  See Also:
    out

writeByte

     public final void writeByte(int v) throws IOException

  Writes out a `byte` to the underlying output stream as a 1-byte value.

  Parameters:
    v - a `byte` value to be written.
  Throws: IOException
    if an I/O error occurs.
  See Also:
    out

writeShort

     public final void writeShort(int v) throws IOException

  Writes a `short` to the underlying output stream as two bytes, high byte first.

  Parameters:
    v - a `short` to be written.
  Throws: IOException
    if an I/O error occurs.
  See Also:
    out

writeChar

     public final void writeChar(int v) throws IOException

  Writes a `char` to the underlying output stream as a 2-byte value, high byte first.

  Parameters:
    v - a `char` value to be written.
  Throws: IOException
    if an I/O error occurs.
  See Also:
    out

writeInt

     public final void writeInt(int v) throws IOException

  Writes an `int` to the underlying output stream as four bytes, high byte first.

  Parameters:
    v - an `int` to be written.
  Throws: IOException
    if an I/O error occurs.
  See Also:
    out

writeLong

     public final void writeLong(long v) throws IOException

  Writes a `long` to the underlying output stream as eight bytes, high byte first.

  Parameters:
    v - a `long` to be written.
  Throws: IOException
    if an I/O error occurs.
  See Also:
    out

writeFloat

     public final void writeFloat(float v) throws IOException

  Converts the float argument to an `int` using the `floatToIntBits` method in class `Float`, and then writes that `int` value to the underlying output stream as a 4-byte quantity, high byte first.

  Parameters:
    v - a `float` value to be written.
  Throws: IOException
    if an I/O error occurs.
  See Also:
    out, floatToIntBits

writeDouble

     public final void writeDouble(double v) throws IOException

  Converts the double argument to a `long` using the `doubleToLongBits` method in class `Double`, and then writes that `long` value to the underlying output stream as an 8-byte quantity, high byte first.

  Parameters:
    v - a `double` value to be written.
  Throws: IOException
    if an I/O error occurs.
  See Also:
    out, doubleToLongBits

writeBytes

     public final void writeBytes(String s) throws IOException

  Writes out the string to the underlying output stream as a sequence of bytes. Each character in the string is written out, in sequence, by discarding its high eight bits.

  Parameters:
    s - a string of bytes to be written.
  Throws: IOException
    if an I/O error occurs.
  See Also:
    out

writeChars

     public final void writeChars(String s) throws IOException

  Writes a string to the underlying output stream as a sequence of characters. Each character is written to the data output stream as if by the `writeChar` method.

  Parameters:
    s - a `String` value to be written.
  Throws: IOException
    if an I/O error occurs.
  See Also:
    writeChar, out

writeUTF

     public final void writeUTF(String str) throws IOException

  Writes a string to the underlying output stream using UTF-8 encoding in a machine-independent manner.

  First, two bytes are written to the output stream as if by the `writeShort` method giving the number of bytes to follow. This value is the number of bytes actually written out, not the length of the string. Following the length, each character of the string is output, in sequence, using the UTF-8 encoding for the character.

  Parameters:
    str - a string to be written.
  Throws: IOException
    if an I/O error occurs.

size

     public final int size()

  Returns the number of bytes written to this data output stream.

  Returns:
    the value of the `written` field.
  See Also:
    written

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.